Bug 1493595 (CVE-2017-14500) - CVE-2017-14500 newsbeuter: Improper neutralization of special elements used in an OS Command
Summary: CVE-2017-14500 newsbeuter: Improper neutralization of special elements used i...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-14500
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1484519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 14:42 UTC by Andrej Nemec
Modified: 2020-11-05 10:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:25:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-20 14:42:35 UTC
Improper Neutralization of Special Elements used in an OS Command in the podcast playback function of Podbeuter in Newsbeuter 0.3 through 2.9 allows remote attackers to perform user-assisted code execution by crafting an RSS item with a media enclosure (i.e., a podcast file) that includes shell metacharacters in its filename, related to pb_controller.cpp and queueloader.cpp, a different vulnerability than CVE-2017-12904.

Upstream issue:

https://github.com/akrennmair/newsbeuter/issues/598

Upstream patch:

https://github.com/akrennmair/newsbeuter/commit/26f5a4350f3ab5507bb8727051c87bb04660f333

References:

http://openwall.com/lists/oss-security/2017/09/16/1

Comment 1 Andrej Nemec 2017-09-20 14:43:00 UTC
Created newsbeuter tracking bugs for this issue:

Affects: fedora-all [bug 1484519]

Comment 2 Product Security DevOps Team 2019-06-08 03:25:56 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.